<h3 class="text-center mt-3">Login</h3>
<div class="row justify-content-center align-items-center mt-2">
  <div class="col-md-4 col-lg-5">
    <form #loginForm="ngForm" autocomplete="off">
      <div class="form-group mb-5">
        <label for="email" class="">Email</label>
        <input
          [(ngModel)]="loginModel.email"
          name="email"
          #email="ngModel"
          [ngClass]="{'error': !email.valid}"
          appEmailValidator
          type="email"
          class="form-control mb-2 default-input-border"
          id="email"
          required
        >
        <div *ngIf="shouldShowError(loginForm, loginForm.controls.email)"
             [ngClass]="getEmailInputErrorClass(loginForm, loginForm.controls.email)"
             class="error-message"
        >
          {{ getEmailValidationError(loginForm.controls.email) }}
        </div>
      </div>
      <div class="form-group mb-5">
        <label for="password" class="">Password</label>
        <div class="password-wrap">
          <input
            [(ngModel)]="loginModel.password"
            #password="ngModel"
            #toggle="toggle"
            [ngClass]="{'error': !password.valid}"
            name="password"
            [type]="toggle.type"
            class="form-control mb-2 default-input-border"
            id="password"
            appPasswordTypeToggle
            required
          >
          <fa-icon
            *ngIf="password.dirty && !password.errors?.['required']"
            [icon]="toggle.type === 'password' ? eyeIcon : eyeSlashIcon"
            role="button"
            class="eye-icon"
            (click)="toggle.toggleType()"
          >
          </fa-icon>
        </div>
        <div class="error-message"
             *ngIf="shouldShowError(loginForm, loginForm.controls.password)"
             [ngClass]="getEmailInputErrorClass(loginForm, loginForm.controls.password)"
        >
          Password is required
        </div>
      </div>
      <app-button
        text="Login"
        class="submit-button"
        buttonType="submit"
        [borderStyle]="borderStyle"
        (click)="login()"
      >
      </app-button>
      <div class="mt-3">
        Do not have account? <a routerLink="/registration">Click to Register</a>
      </div>
    </form>
  </div>
</div>
